/**
 * @description: Login interface parameters
 */
export interface LoginParams {
  username: string
  password: string
}

/**
 * @description: Get user information
 */
export interface GetUserInfoByUserIdParams {
  code: string | number
}

export interface RoleInfo {
  roleName: string
  value: string
}

/**
 * @description: Login interface return value
 */
export interface LoginResultModel {
  userId: string | number
  token: string
  role: RoleInfo
}

/**
 * @description: Get user information return value
 */
export interface GetUserInfoByUserIdModel {
  // roles: RoleInfo[]
  id: string
  projectId: string
  bidsectionId: string
  account: string
  password: string
  name: string
  company: string
  position: string
  role: string
  mobile: string
  telephone: string
  isAdmin: number
  accountGroup: number
  enable: number
  contractPermission: string
  qualityPermission: string
  safePermission: string
}
